package com.iamberry.wechat.face.coupon;

import java.util.List;

import com.iamberry.wechat.core.entity.coupon.CouponType;

/**
 * 优惠券类型 service
 * 2016年7月6日
 * @author Administrator
 *
 */
public interface CouponTypeService {
	/**
	 * 查询优惠券类型列表并分页
	 * 2016年7月6日
	 * @author 穆再兴
	 * @return
	 */
	public List<CouponType> getCouponTypeList(CouponType couponType);
	
	/**
	 * 查询优惠券类型总数
	 * 2016年7月6日
	 * @author 穆再兴
	 * @return
	 */
	public Integer getCouponTypeCount();
	
	/**
	 * 添加一个优惠券类型
	 * 2016年7月6日
	 * @author 穆再兴
	 * @param couponType
	 * @return
	 */
	public Integer insertCouponType(CouponType couponType);
	
	/**
	 * 根据id查询一个优惠券类型
	 * 2016年7月6日
	 * @param couponId
	 * @return
	 */
	public CouponType getCouponTypeById(Integer couponId);
	
	/**
	 * 获取未领的优惠券
	 * @param openid
	 * @return
	 */
	public List<CouponType> getUnGetCoupon(String openid);
	/**
	 * 领取优惠券时 优惠券类型减一
	 * 2016年7月7日
	 * @return
	 */
	public Integer updateCouponTypeForItem(Integer couponId);

	/**
	 * 根据id修改一条优惠券信息
	 * 2016年7月8日
	 * @return
	 */
	public Integer updateCouponTypeById(CouponType couponType);
	
	/**
	 * 根据id 删除一个优惠券类型
	 * 2016年7月8日
	 * @param couponId
	 * @return
	 */
	public Integer deleteCouponTypeById(Integer couponId);
}
